RelationId (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.align.impl.edoal
Class RelationId

    java.lang.Object
      fr.inrialpes.exmo.align.impl.edoal.Expression
          fr.inrialpes.exmo.align.impl.edoal.PathExpression
              fr.inrialpes.exmo.align.impl.edoal.RelationExpression
                  fr.inrialpes.exmo.align.impl.edoal.RelationId

All Implemented Interfaces:
  Id, ValueExpression, Cloneable, Visitable

    public class RelationId

extends RelationExpression
implements Id

A simple Id to represent a Relation.

Author:
  richi

Field Summary
`private String` | `id` Holds the identifier.
`(package private) URI` | `uri`

Fields inherited from class fr.inrialpes.exmo.align.impl.edoal.Expression
`variable`

Constructor Summary
`RelationId()` Creates an anonymous relation pattern
`RelationId(String id)`
`RelationId(URI u)`

Method Summary
`boolean` | `equals(Object obj)`
`URI` | `getURI()` Returns a plain representation of the value of this id.
`int` | `hashCode()`
`String` | `plainText()` Returns a plain representation of the value of this id.
`String` | `toString()` Returns a simple description of this object.

Methods inherited from class fr.inrialpes.exmo.align.impl.edoal.RelationExpression
`accept`

Methods inherited from class fr.inrialpes.exmo.align.impl.edoal.Expression
`accept, getVariable, setVariable`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### id

    private String id

  Holds the identifier.

### uri

    URI uri

Constructor Detail

### RelationId

    public RelationId()

  Creates an anonymous relation pattern

### RelationId

    public RelationId(String id)
               throws AlignmentException

Throws:
  `AlignmentException`

### RelationId

    public RelationId(URI u)

Method Detail

### getURI

    public URI getURI()

  Description copied from interface: `Id`
  Returns a plain representation of the value of this id.

  Specified by:
    `getURI` in interface `Id`
  Returns:
    the plain text representation.

### plainText

    public String plainText()

  Description copied from interface: `Id`
  Returns a plain representation of the value of this id.

  Specified by:
    `plainText` in interface `Id`
  Returns:
    the plain text representation.

### toString

    public String toString()

  Returns a simple description of this object. The format of the returned String is undocumented and subject to change.

  An expamle return String could be: `RelationId: http://my/super/class`

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010